version: "3.1"
services:
  worker-1:
    build: ./worker-1
    volumes:
      # Монтирует локальную папку data к папке data в контейнере.
      - ./data:/var/data
      # Монтирует локальную папку result-1 к папке result в контейнере.
      - ./result-1:/var/result
  worker-2:
    build: ./worker-2
    volumes:
      # Монтирует локальную папку result-1 к папке data в контейнере.
      - ./result-1:/var/data
      - ./result:/var/result
    # Зависимость от первого приложения.
    depends_on:
      - worker-1